%define		gitdate	20130225
%define         major   1

Name:           yalib
Version:        1.0
Release:        %mkrel -c git%{gitdate} 1
Summary:        YaFlight and YaInstall shared library
Group:          System/Libraries
License:        GPLv3
URL:            https://bitbucket.org/_pmat_/yalib
Source0:        %{name}-%{version}-%{gitdate}.tar.bz2
BuildRequires:  qt4-devel

%define    libname    %mklibname yalib %{major}
%define    develname %mklibname -d yalib

%description
yalib is a shared library written entirely in C++ and Qt to provide
common access methods to FlightGear resources for YaFlight and YaInstall.

#----------------------------------------------------------

%package -n %libname
Summary:      %{summary}
Group:        System/Libraries
Provides:     %{name} = %{version}-%{release}

%description -n %libname
This package contains the library needed to run programs
dynamically linked with yalib.

%files -n %libname
%{_libdir}/lib*.so.%{major}*
%doc COPYING* README.md

#----------------------------------------------------------

%package -n %develname
Summary:      yalib header files
Group:        Development/C++
Requires:     %{name} >= %{version}
Requires:     qt4-devel
Provides:     %{name}-devel = %{version}-%{release}

%description -n %develname
This is the development package for yalib.

%files -n %develname
%{_libdir}/lib*.so
%dir %{_includedir}/yalib
%{_includedir}/yalib/*.h

#----------------------------------------------------------

%prep
%setup -q -n %{name}-%{version}-%{gitdate}

%build
%qmake_qt4
sed -i -e 's|/usr/lib/|%{_libdir}/|g' Makefile
%make

%install
rm -rf %{buildroot}
make install INSTALL_ROOT=%{buildroot}
install -m0755 -d %{buildroot}/%{_includedir}/yalib
mv yalib*.h %{buildroot}/%{_includedir}/yalib/
find "%{buildroot}" -name "*.la" -delete


%changelog

* Fri Mar 01 2013 matteo <matteo> 1.0-0.git20130225.1.mga3
+ Revision: 400895
- new minor release

* Sun Feb 24 2013 matteo <matteo> 1.0-0.git20130224.1.mga3
+ Revision: 400290
- new minor release

* Sat Feb 09 2013 matteo <matteo> 1.0-0.git20130209.1.mga3
+ Revision: 397484
- fixed release
- fixed url
- imported package yalib

